Subject: RE: obsoleting GlobalOpts before 2.4

From: Jeremie Petit <[email-masked]>
Date: Mon, 31 Jan 2000 09:39:13 -0000

Hello,

  I'm new in the list, so I greet everyone.

  I think Dominik's idea is a good choice and that this task should be
accomplished
as soon as possible in fvwm-2.4's development, because of the many possible 
side effects.

	Regards,

	Jeremie Petit

		-----Original Message-----
		From:	Dominik Vogt [mailto:[email-masked]]
		Sent:	Saturday, January 29, 2000 2:42 PM
		To:	fvwm-workers
		Subject:	obsoleting GlobalOpts before 2.4

		I'd like to replace all remaining GlobalOpts options
		before 2.4.  At the moment, the remaining ones are:

		  SmartPlacementIsReallySmart / SmartPlacementIsNormal,
		  ClickToFocusDoesntPassClick / ClickToFocusPassesClick,
		  ClickToFocusDoesntRaise / ClickToFocusRaises,
		  MouseFocusClickDoesntRaise / MouseFocusClickRaises,
		  NoStipledTitles / StipledTitles,
		  WindowShadeScrolls / WindowShadeShrinks.

		These can all be implemented as styles easily.  The
		WindowShade... styles would be abit inconsistent with
		the WindowShadeAnimate command, but (a) that is already
		the case and (b) I'd replace the WindowShadeAnimate
		command with a style too (I'd like to have smooth
		animations on small windows, but not on screen filling
		ones).

		My reasons are:

		 1) We have already started to obsolete GlobalOpts
		    by removing half of its options.  It's better to
		    make a clean cut, not prolong the pain over
		    several releases.
		 2) GlobalOpts still needs a Recapture or Refresh to
		    take effect (e.g. StipledTitles), so I'd have to
		    rework it anyway.
		 3) All the remaining options are undocumented at the
		    moment.

		As always:

		  Two votes for the patch and none against it and I'll do
it.

		Bye

		Dominik ^_^

		--
		Dominik Vogt, [email-masked]
		Reply-To: [email-masked]
		--
		Visit the official FVWM web page at
<URL:http://www.fvwm.org/>.
		To unsubscribe from the list, send "unsubscribe
fvwm-workers" in the
		body of a message to [email-masked].
		To report problems, send mail to [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]